Subject: Re: [PATCH gnome-team v2 11/12] gnu: librsvg: Fix build.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 08 Apr 2023 22:03:05 +0200

Am Samstag, dem 08.04.2023 um 15:49 -0400 schrieb Maxim Cournoyer:
> Hi,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > * gnu/packages/gnome.scm (librsvg)[#:phases]<ignore-failing-tests>:
> > Also
> > delete SVG files that have been broken by the recent updates.
> > ---
> >  gnu/packages/gnome.scm | 7 ++++++-
> >  1 file changed, 6 insertions(+), 1 deletion(-)
> > 
> > diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> > index 4f47e60505..e43e24dd94 100644
> > --- a/gnu/packages/gnome.scm
> > +++ b/gnu/packages/gnome.scm
> > @@ -3696,7 +3696,12 @@ (define-public librsvg
> >                 (("fn
> > multiple_input_files_not_allowed_for_png_output" all)
> >                  (string-append "#[ignore] " all))
> >                 (("fn stylesheet_option_error" all)
> > -                (string-append "#[ignore] " all)))))
> > +                (string-append "#[ignore] " all)))
> > +             ;; XXX: re-enable when updating this package
> > +             (with-directory-excursion "tests/fixtures/reftests/"
> > +               (delete-file "filter-component-transfer-from-
> > reference-page.svg")
> > +               (delete-file "filter-morphology-from-reference-
> > page.svg")
> > +               (delete-file "svg1.1/text-text-03-b.svg"))))
> 
> I think a fix for this was contributed to core-updates already; it
> used another approach: adjusting the expected value.  We should
> rebase this branch on top of core-updates to get it.
I'm not sure how to feel about waiting for core-updates to get through
(especially given that GStreamer, the next big project is on staging,
and the path to getting both merged is still very unclear from my POV).
I did see the core-updates patch, though, and will try cherry-picking
it.

Cheers